<?php namespace App\ViewModels\Especie\EspecieUpdateViewModel;

use App\Utils\Builder;

class EspecieUpdateViewModelBuilder implements Builder
{

    protected $nome;

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function build() : EspecieUpdateViewModel
    {
        $procedimento_update_vm = new EspecieUpdateViewModel();
        $procedimento_update_vm->setNome($this->nome);

        return $procedimento_update_vm;
    }
}